Subject: Re: bug#23105: 25.0.92; map-put does not change its argument MAP

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Mar 2016 16:57:01 +0100

Sho Takemori <[email-masked]> writes:

> By expanding map-put, I found that it returns a new list if "m" is a
> list and the key is not in "m".

Indeed, good catch.

The implementation of `map-put' is wrong: it binds the evaluated place
expression to a new symbol and uses that symbol as place to operate on.

The intention presumably was to avoid code duplication in the macro
expansion - which is good - but it fails to change the original place.

Michael.